# stl_iterator_base_types.h File Reference

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | std

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

This file contains all of the general iterator-related utility types, such as iterator_traits and struct iterator.

Definition in file stl_iterator_base_types.h.